<?php
/**
 * Intelliwolf Divi Child Theme functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Intelliwolf Divi Child
 * @since 1.0.0
 */

/**
 * Enqueue styles
 */
add_action( 'wp_enqueue_scripts', 'child_enqueue_styles');
function child_enqueue_styles() {
	wp_enqueue_style( 'parent_style', get_template_directory_uri() . '/style.css' );
}

/*** Clean Up Header ***/

// Remove Feed Links
remove_action( 'wp_head', 'feed_links_extra', 3 );
remove_action( 'wp_head', 'feed_links', 2 );

// Remove Smilies
add_filter( 'emoji_svg_url', '__return_false' );
remove_filter( 'comment_text', 'convert_smilies', 20 );
remove_filter( 'the_excerpt', 'convert_smilies' );
remove_filter( 'the_content', 'convert_smilies' );
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );
remove_action( 'init', 'smilies_init', 5 );

// Remove Unneccessary Header Code
remove_action( 'wp_head', 'rsd_link' );
remove_action( 'wp_head', 'wlwmanifest_link' );
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10 );
remove_action( 'wp_head', 'wp_generator' );
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10 );
remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );